/*
 * Dummy DFSG-compliant replacement for fmopl.c
 *
 * $Id: fmopl.c-dfsg,v 1.4 2001/01/20 01:33:20 claudio Exp $
 */

#include <stdlib.h>
#include "fmopl.h"

void YM3812UpdateOne(FM_OPL *OPL, FMSAMPLE *bk, int len, int st, int vl, int vr)
{
}

void OPLResetChip(FM_OPL *OPL)
{
}

FM_OPL *OPLCreate(int type, int clock, int rate)
{
	return NULL;
}

void OPLDestroy(FM_OPL *OPL)
{
}

int OPLWrite(FM_OPL *OPL,int a,int v)
{
	return 0;
}

unsigned char OPLRead(FM_OPL *OPL,int a)
{
	return 0;
}

